dcl_settings : default_dcl_settings { audit_level = 3 ; }

cop : dialog {
label = "Design of Couplings" ;

: row {
 : boxed_radio_column {
   children_fixed_width = true ;  
     : radio_button {
       label = "Muff" ;
       key = "muff" ;
     }
     : radio_button {
       label = "Flange" ;
       key = "flange" ;
     }  
     : radio_button {
       label = "Protective type" ;
       key = "protect" ;
     }
     : radio_button {
       label = "Bushed Pin Flexible" ;
       key = "bushed" ;
     }
     : radio_button {
       label = "Oldham" ;
       key = "old" ;
     }
     : radio_button {
       label = "Universal" ;
       key = "universal" ;
     }
  }

 : image {
   width = 30 ;
   aspect_ratio = 1 ;
   key = "coupling" ;
   fixed_width = true ;
 }
}
: row {
  : button {
    label = "Proceed" ;
    key = "proceed" ;
    is_default = true ;
    is_cancel = true ;
    fixed_width = true ;
    alignment = centered ;
  }
 }
}

flange : dialog {
//label = "Design of Flange Coupling" ;
initial_focus = "power" ;

 : boxed_column {
   label = "Input Parameters" ;
   
   : edit_box {
     label = "Power to be transmitted in Watts" ;
     key = "power" ;
     width = 10 ;
     edit_width = 10 ;
     fixed_width = true ;
     alignment = right ;
   }
   : edit_box {
     label = "Speed of shaft in r.p.m." ;
     key = "speed" ;
     width = 10 ;
     edit_width = 10 ;
     fixed_width = true ;
     alignment = right ;
   }
 }
ok_cancel ;
}

shaft_fl : dialog {
key = "mate" ;

 : boxed_column {
   label = "Select material" ;

   : text {
     label = "Material   Shear Stress (fs)  Crushing Stress (fc) Tensile Stress(ft)" ;
     width = 50 ;
   }
   : text {
     label = "           MPa or N/sq.mm     MPa or N/sq.mm       MPa or N/sq.mm" ;
     width = 50 ;
   }

   : list_box {
     width = 30 ;
     key = "material" ;
     multiple_select = false ;
   }
 }

ok_only ;

}

key_mat_fl : dialog {
label = "Design of Key - Select Shaft Diameter" ;

 : boxed_column {
   label = "Select Key Parameters" ;

   : text { 
     label = "Shaft Diameter upto            Width            Thickness" ;
     width = 50 ;
   }
   : text {
     label = "and Including (mm)              (mm)          (mm)" ;
     width = 50 ;
   }

   : list_box {
     width = 30 ;
     key = "key_dims" ;
     multiple_select = false ;
   }
 }

ok_only ;

}

//************//*****************//******

bolt_mat_fl : dialog {
label = "Select Shaft Diameter" ;

 : boxed_column {
   
   : text { 
     label = "diameter of Shaft          No. of Bolts" ;
     width = 50 ;
   }
   : text {
     label = "d (mm)                      n1" ;
     width = 50 ;
   }

   : list_box {
     width = 30 ;
     key = "bolt_dims" ;
     multiple_select = false ;
   }
 }

ok_only ;

}

bushed : dialog {
initial_focus = "power" ;

 : boxed_column {
   label = "Input Parameters" ;
   
   : edit_box {
     label = "Power to be transmitted in Watts" ;
     key = "power" ;
     width = 10 ;
     edit_width = 10 ;
     fixed_width = true ;
     alignment = right ;
   }
   : edit_box {
     label = "Speed of shaft in r.p.m." ;
     key = "speed" ;
     width = 10 ;
     edit_width = 10 ;
     fixed_width = true ;
     alignment = right ;
   }
   : edit_box {
     label = "Bearing Pressure (MPa)" ;
     key = "brpr" ;
     width = 10 ;
     edit_width = 10 ;
     fixed_width = true ;
     alignment = right ;
   }
 }
ok_cancel ;
}

////222//22/2/2//2//2/2/2/2/2/2/2/22/

slide : dialog {
label = "Design of Coupling" ;

  : image {
    width = 50 ;
    height = 15 ;
    color = -15 ;
    key = "slide" ;
  }
 : boxed_row {
   : concatenation {
     : text_part {
       width = 5 ;
       label = "Slide" ;
     }
     : text_part {
       width = 3 ;
       key = "slide_no" ;
       value = "0" ;
     }
     : text_part {
       width = 5 ;
       label = " of " ;
     }
     : text_part {
       width = 5 ;
       key = "total" ;
     }
    }
    : slider {
       key = "spinner" ;
       min_value = 0 ;
       max_value = 40 ;
       width = 24 ;
       height = 1 ;
       small_increment = 1 ;
       big_increment = 1 ;
       fixed_width = true ;
       value = "1" ;
    }
    : button {
      label = "Close" ;
      key = "close" ;
      fixed_width = true ;
      is_default = true ; 
      is_cancel = true ;
      alignment = centered ;
    }
    : button {
      label = "Details..." ;
      key = "details" ;
      fixed_width = true ;
      alignment = centered ;
    }
 }

}

